////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.battleship.notification;

/**
 * Defines a broker for distributing game events to registered listeners.
 */
public interface GameEventBroker {
    /**
     * Notifies all registered listeners about the specified game event.
     *
     * @param event the game event to be broadcast to listeners
     */
    void notifyListeners(GameEvent event);
}
